# Logo SPHELP
# Logo SPHELP
Write-Output "  SSS   PPPP   H   H  EEEEE  L     PPPP   "
Write-Output " S      P   P  H   H  E      L     P   P  "
Write-Output "  SSS   PPPP   HHHHH  EEEE   L     PPPP   "
Write-Output "     S  P      H   H  E      L     P      "
Write-Output " SSSS   P      H   H  EEEEE  LLLLL  P      "
Write-Output "                                          "


# Verifica as opcoes de energia do servidor
$powerPlan = Get-CimInstance -Namespace "root\cimv2\power" -ClassName Win32_PowerPlan | Where-Object { $_.IsActive }

# Verifica se esta em "High Performance"
if ($powerPlan.ElementName -eq "High performance") {
    Write-Output "As opcoes de energia do servidor estao configuradas corretamente para uso do Protheus."
}
else {
Write-Output "***********************************************"
Write-Output "*                                             *"
Write-Output "*   >>>>>> ATENCAO <<<<<<                      *"
Write-Output "*                                             *"
Write-Output "*   A configuracao de energia do servidor     *"
Write-Output "*   nao segue as boas praticas para uso do    *"
Write-Output "*   Protheus. Configure para 'Alto Desempenho *"
Write-Output "*   (High Performance)'.                      *"
Write-Output "*                                             *"
Write-Output "*   >>>>>> ATENCAO <<<<<<                      *"
Write-Output "*                                             *"
Write-Output "***********************************************"

}
