@echo off
color 04
REM # #############################################################################################
REM # KillPROTHEUS12.bat PRODUÇÃO								        #
REM #											        #
REM # DESCRICAO:									        #
REM # Este script PARA todos os serviços do Protheus 12		                       	#
REM # Data: 29-04-2024									#
REM # Autor: SPHELP - SITE - https://sphelp.com.br/                     			#
REM #############################################################################################

@echo off
@echo ACESSO ADMINISTRATIVO SPHELP
setlocal enabledelayedexpansion
set "servicos_ok="
set "servicos_falha="
set "log_file=log_stop_protheus12.txt"

REM ########## FUNÇÃO PARA CONTAR LINHAS
set /a count_lines=0
for /f %%a in ('find /c /v "" ^< %log_file%') do set /a count_lines=%%a

:inicio
cls
echo Deseja continuar? (S/N):
set /p resposta=
if /i "!resposta!"=="S" (
    echo PARADA TOTAL DO PROTHEUS PRODUCAO...	

REM ########## APPSERVER - 10.10.69.177 - 178 - 179 - 121

sc \\10.10.69.177 stop "TOTVS-PRD-P12-SLV01_177A"
sc \\10.10.69.177 stop "TOTVS-PRD-P12-SLV02_177B"
sc \\10.10.69.177 stop "TOTVS-PRD-P12-SLV03_177C"
sc \\10.10.69.177 stop "TOTVS-PRD-P12-SLV04_177D"
sc \\10.10.69.177 stop "TOTVS-PRD-P12-SLV05_177E"
TASKKILL /IM 10.10.69.177 "appserver_prd_slv_01_177A.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.177 "appserver_prd_slv_02_177B.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.177 "appserver_prd_slv_03_177C.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.177 "appserver_prd_slv_04_177D.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.177 "appserver_prd_slv_05_177E.exe"  /F /T /S >nul

sc \\10.10.69.178 stop "TOTVS-PRD-P12-SLV01_178A"
sc \\10.10.69.178 stop "TOTVS-PRD-P12-SLV02_178B"
sc \\10.10.69.178 stop "TOTVS-PRD-P12-SLV03_178C"
sc \\10.10.69.178 stop "TOTVS-PRD-P12-SLV04_178D"
sc \\10.10.69.178 stop "TOTVS-PRD-P12-SLV05_178E"
TASKKILL /IM 10.10.69.178 "appserver_prd_slv_01_178A.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.178 "appserver_prd_slv_02_178B.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.178 "appserver_prd_slv_03_178C.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.178 "appserver_prd_slv_04_178D.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.178 "appserver_prd_slv_05_178E.exe"  /F /T /S >nul

sc \\10.10.69.179 stop "TOTVS-PRD-P12-SLV01_179A"
sc \\10.10.69.179 stop "TOTVS-PRD-P12-SLV02_179B"
sc \\10.10.69.179 stop "TOTVS-PRD-P12-SLV03_179C"
sc \\10.10.69.179 stop "TOTVS-PRD-P12-SLV04_179D"
sc \\10.10.69.179 stop "TOTVS-PRD-P12-SLV05_179E"
TASKKILL /IM 10.10.69.179 "appserver_prd_slv_01_179A.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.179 "appserver_prd_slv_02_179B.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.179 "appserver_prd_slv_03_179C.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.179 "appserver_prd_slv_04_179D.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.179 "appserver_prd_slv_05_179E.exe"  /F /T /S >nul

sc \\10.10.69.121 stop "TOTVS-PRD-P12-SLV01_121A"
sc \\10.10.69.121 stop "TOTVS-PRD-P12-SLV02_121B"
sc \\10.10.69.121 stop "TOTVS-PRD-P12-SLV03_121C"
sc \\10.10.69.121 stop "TOTVS-PRD-P12-SLV04_121D"
sc \\10.10.69.121 stop "TOTVS-PRD-P12-SLV05_121E"
TASKKILL /IM 10.10.69.121 "appserver_prd_slv_01_121A.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.121 "appserver_prd_slv_02_121B.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.121 "appserver_prd_slv_03_121C.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.121 "appserver_prd_slv_04_121D.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.121 "appserver_prd_slv_05_121E.exe"  /F /T /S >nul

REM ########## SCHEDULE
sc \\10.10.69.121 stop ".TOTVS-SCH01-prd-P12"
TASKKILL /IM 10.10.69.164 "AppServer_sch_prd.exe.exe"  /F /T /S >nul

REM ########## DBACCESS
sc \\10.10.69.176 stop "DBACCESS-PRD"
sc \\10.10.69.176 stop "DBACCESS-PRD-TSS"
TASKKILL /IM 10.10.69.176 "dbaccess64-prd.exe"  /F /T /S >nul
TASKKILL /IM 10.10.69.176 "DBAccess64-PRD-TSS.exe"  /F /T /S >nul

REM ########## TSS
sc \\10.10.69.183 stop "TOTVS-TSS-PRD-P12 12.1.07"
TASKKILL /IM 10.10.69.183 "AppServer.exe"  /F /T /S >nul

REM ########## LICENSE SERVER
sc \\10.10.69.176 stop "licenseVirtual"
TASKKILL /IM 10.10.69.176 "appserver.exe"  /F /T /S >nul


    REM ########## LOG
    echo. >> %log_file%
    echo %date% %time% >> %log_file%
    echo --- SERVIÇOS INICIADOS COM SUCESSO --- >> %log_file%
    echo %servicos_ok% >> %log_file%
    echo. >> %log_file%
    echo --- SERVIÇOS COM FALHA AO INICIAR --- >> %log_file%
    echo %servicos_falha% >> %log_file%

) else if /i "!resposta!"=="N" (
    echo Saindo...
    exit
) else (
    set "resposta="
    echo.
    echo Por favor, digite apenas S ou N.
    timeout /t 1 >nul
    goto inicio
)



