@echo off
setlocal enabledelayedexpansion

REM Obter informações do processador usando WMI
for /f "tokens=2 delims='='" %%a in ('wmic cpu get Name /value') do set "cpu_name=%%a"
for /f "tokens=2 delims='='" %%a in ('wmic cpu get NumberOfCores /value') do set "cpu_cores=%%a"
for /f "tokens=2 delims='='" %%a in ('wmic cpu get NumberOfLogicalProcessors /value') do set "cpu_threads=%%a"
for /f "tokens=2 delims='='" %%a in ('wmic cpu get MaxClockSpeed /value') do set "cpu_clock=%%a"

REM Verificação para garantir que todas as variáveis foram configuradas corretamente
if not defined cpu_name (
    echo Erro ao obter o nome do processador.
    exit /b 1
)
if not defined cpu_cores (
    echo Erro ao obter o número de núcleos do processador.
    exit /b 1
)
if not defined cpu_threads (
    echo Erro ao obter o número de threads do processador.
    exit /b 1
)
if not defined cpu_clock (
    echo Erro ao obter a velocidade do clock do processador.
    exit /b 1
)

REM Exibir as informações do processador
echo Informacoes do Processador:
echo - Nome: !cpu_name!
echo - Nucleos: !cpu_cores!
echo - Threads: !cpu_threads!
echo - Velocidade do Clock: !cpu_clock! MHz
pause
